-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Sep 08, 2016 at 12:56 PM
-- Server version: 10.1.10-MariaDB
-- PHP Version: 7.0.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sukses_selalu`
--

-- --------------------------------------------------------

--
-- Table structure for table `akun`
--

CREATE TABLE `akun` (
  `no_akun` char(5) NOT NULL DEFAULT '',
  `nm_akun` varchar(20) DEFAULT NULL,
  `header_akun` char(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `akun`
--

INSERT INTO `akun` (`no_akun`, `nm_akun`, `header_akun`) VALUES
('1', 'Aktiva', NULL),
('11', 'Aktiva Lancar', '1'),
('111', 'Kas', '11'),
('112', 'Piutang Dagang', '11'),
('113', 'Persediaan Barang Da', '11'),
('114', 'Sewa Dibayar Dimuka ', '11'),
('115', 'Asuransi Dibayar Dim', '11'),
('116', 'Perlengkapan', '11'),
('2', 'Hutang', NULL),
('21', 'Hutang Lancar', '2'),
('211', 'Utang Dagang', '21'),
('3', 'Modal', NULL),
('311', 'Modal Tn X', '3'),
('3112', 'Prive Tn. X', '311'),
('4', 'Pendapatan', NULL),
('41', 'Pendapatan Usaha', '4'),
('411', 'Penjualan', '41'),
('412', 'Harga Pokok Penjuala', '41'),
('413', 'Retur Penjualan', '41'),
('414', 'Potongan Penjualan', '41'),
('5', 'Beban', NULL),
('511', 'Beban Listrik', '5'),
('512', 'Beban Air', '5'),
('513', 'Beban Telepon', '5'),
('514', 'Beban Gaji', '5');

-- --------------------------------------------------------

--
-- Table structure for table `barang`
--

CREATE TABLE `barang` (
  `id_barang` char(50) NOT NULL DEFAULT '',
  `nama` varchar(25) DEFAULT NULL,
  `harga` int(8) DEFAULT NULL,
  `stok` int(11) DEFAULT NULL,
  `id_kategori` char(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `barang`
--

INSERT INTO `barang` (`id_barang`, `nama`, `harga`, `stok`, `id_kategori`) VALUES
('24LN4100', 'LED TV LG 24 Inch', 2036900, 100, 'ELK'),
('32LN5100', 'LED TV LG 32 Inch', 3492000, 100, 'ELK'),
('ATTCMAX', 'ATTACK CLEAN MAXIMIZER 80', 14325, 100, 'BZR'),
('ATTSOFT', 'ATTACK SOFTENER 800GR', 14325, 100, 'BZR'),
('DH-6330P', 'HOME THEATHER LG', 2461700, 100, 'ELK'),
('ES-FL8605-WW', 'WASHING MACHINE SHARP 6KG', 2863600, 100, 'ELK'),
('HITLEMON', 'HIT AEROSOL LEMON 600ML', 24150, 100, 'BZR'),
('INDOMIE', 'INDOMIE ALL VARIAN', 1500, 100, 'GMK'),
('KC-105', 'KOMPOR MINI PORTABLE', 124900, 100, 'BZR'),
('KLV-24EX430', 'LED TV SONY 24 Inch', 1999600, 100, 'ELK'),
('KNWTPUMP', 'KENMASTER WATER PUMP', 27500, 100, 'BZR'),
('MUG-ANI', 'MUG ANIMAL', 19900, 100, 'BZR'),
('MUG-SHO', 'MUG SHIO', 19900, 100, 'BZR'),
('MUG-ZDK', 'MUG ZODIAK', 19900, 100, 'BZR'),
('NA-F852', 'WASHING MACHINE PANASONIC', 2590000, 100, 'ELK'),
('STELLA70GR', 'STELLA ALL IN ONE 70 GR', 7200, 100, 'BZR'),
('UA-22F5000', 'LED TV Samsung 22 inch', 1900000, 100, 'ELK'),
('UHT1000ML', 'ULTRAMILK 1000ML', 11350, 100, 'GMK'),
('UHT125ML', 'ULTRAMILK 125ML', 1800, 100, 'GMK');

-- --------------------------------------------------------

--
-- Table structure for table `detail_penjualan`
--

CREATE TABLE `detail_penjualan` (
  `id_nota` char(5) NOT NULL DEFAULT '',
  `id_barang` char(50) NOT NULL DEFAULT '',
  `jumlah` int(5) DEFAULT NULL,
  `subtotal` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `detail_penjualan`
--

INSERT INTO `detail_penjualan` (`id_nota`, `id_barang`, `jumlah`, `subtotal`) VALUES
('86856', 'ATTSOFT', 1, 14325),
('86856', 'HITLEMON', 1, 24150),
('86856', 'STELLA70GR', 1, 7200),
('86857', 'ATTSOFT', 2, 28650),
('86857', 'HITLEMON', 1, 24150),
('86858', 'INDOMIE', 10, 15000),
('86858', 'MUG-ZDK', 1, 19900),
('86858', 'UHT125ML', 2, 3600),
('86859', '32LN5100', 1, 3492000),
('86860', '32LN5100', 1, 3492000),
('86860', 'DH-6330P', 1, 2461700),
('86860', 'ES-FL8605-WW', 1, 2863600),
('86861', 'ES-FL8605-WW', 1, 2863600),
('86862', 'INDOMIE', 90, 135000),
('86862', 'UHT125ML', 90, 162000);

-- --------------------------------------------------------

--
-- Table structure for table `detail_retur`
--

CREATE TABLE `detail_retur` (
  `id_nota` char(5) NOT NULL DEFAULT '',
  `id_barang` char(50) NOT NULL DEFAULT '',
  `id_retur` char(5) NOT NULL DEFAULT '',
  `jumlah` int(5) DEFAULT NULL,
  `subtotal` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `detail_retur`
--

INSERT INTO `detail_retur` (`id_nota`, `id_barang`, `id_retur`, `jumlah`, `subtotal`) VALUES
('86857', 'HITLEMON', 'RTR2', 1, 24150),
('86858', 'INDOMIE', 'RTR1', 7, 10500),
('86862', 'INDOMIE', 'RTR2', 13, 19500);

-- --------------------------------------------------------

--
-- Table structure for table `jurnal`
--

CREATE TABLE `jurnal` (
  `id_trans` varchar(5) DEFAULT NULL,
  `no_akun` char(5) DEFAULT NULL,
  `posisi_dr_cr` varchar(6) DEFAULT NULL,
  `nominal` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `jurnal`
--

INSERT INTO `jurnal` (`id_trans`, `no_akun`, `posisi_dr_cr`, `nominal`) VALUES
('BYR1', '111', 'debet', 45675),
('BYR1', '411', 'kredit', 45675),
('BYR2', '111', 'debet', 52800),
('BYR2', '411', 'kredit', 52800),
('BYR3', '111', 'debet', 38500),
('BYR3', '411', 'kredit', 38500),
('BYR4', '111', 'debet', 3000000),
('BYR4', '112', 'debet', 492000),
('BYR4', '411', 'kredit', 3492000),
('BYR5', '111', 'debet', 492000),
('BYR5', '112', 'kredit', 492000),
('BYR6', '111', 'debet', 4408650),
('BYR6', '112', 'debet', 4408650),
('BYR6', '411', 'kredit', 8817300),
('BYR7', '111', 'debet', 2204325),
('BYR7', '112', 'kredit', 2204325),
('BYR8', '111', 'debet', 2000000),
('BYR8', '112', 'kredit', 2000000),
('BYR9', '111', 'debet', 204325),
('BYR9', '112', 'kredit', 204325),
('BYR10', '111', 'debet', 363600),
('BYR10', '112', 'debet', 2500000),
('BYR10', '411', 'kredit', 2863600),
('BYR11', '111', 'debet', 47000),
('BYR11', '112', 'debet', 250000),
('BYR11', '411', 'kredit', 297000),
('RTR1', '413', 'debet', 10500),
('RTR1', '111', 'kredit', 10500),
('RTR2', '413', 'debet', 43650),
('RTR2', '111', 'kredit', 43650);

-- --------------------------------------------------------

--
-- Table structure for table `kategori_barang`
--

CREATE TABLE `kategori_barang` (
  `id_kategori` char(3) NOT NULL DEFAULT '',
  `nama_kategori` varchar(25) DEFAULT NULL,
  `keterangan` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `kategori_barang`
--

INSERT INTO `kategori_barang` (`id_kategori`, `nama_kategori`, `keterangan`) VALUES
('BZR', 'Bazar', 'Perlengkapan Rumah Tangga'),
('ELK', 'Elektronik', 'Elektronik'),
('GMK', 'Grocery Makanan Minuman', 'Makanan dan Minuman'),
('GPK', 'Grocery Perawatan Kecanti', 'Perawatan dan kecantikan'),
('PSG', 'Pasar Segar', 'Sayur, buah dan daging'),
('SFL', 'Softline', 'Pakaian Siap Pakai');

-- --------------------------------------------------------

--
-- Table structure for table `nota_penjualan`
--

CREATE TABLE `nota_penjualan` (
  `id_nota` char(5) NOT NULL DEFAULT '',
  `tgl_nota` date DEFAULT NULL,
  `total` int(10) DEFAULT NULL,
  `id_pelanggan` char(12) DEFAULT NULL,
  `id_pegawai` char(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `nota_penjualan`
--

INSERT INTO `nota_penjualan` (`id_nota`, `tgl_nota`, `total`, `id_pelanggan`, `id_pegawai`) VALUES
('28685', '2013-05-01', 45675, '1111111111', '201301001'),
('86856', '2013-05-01', 45675, '1111111111', '201301001'),
('86857', '2013-05-01', 52800, '8924234423', '201301001'),
('86858', '2013-05-01', 38500, '8924234423', '201301002'),
('86859', '2013-05-01', 3492000, '8935353535', '201301002'),
('86860', '2013-06-01', 8817300, '8911223344', '201301002'),
('86861', '2013-07-01', 2863600, '8924234423', '201301002'),
('86862', '2013-07-01', 297000, '8924234423', '201302001');

-- --------------------------------------------------------

--
-- Table structure for table `pegawai`
--

CREATE TABLE `pegawai` (
  `id_pegawai` char(10) NOT NULL DEFAULT '',
  `no_ktp` char(16) DEFAULT NULL,
  `nama` varchar(25) DEFAULT NULL,
  `alamat` varchar(50) DEFAULT NULL,
  `no_telp` text,
  `posisi` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pegawai`
--

INSERT INTO `pegawai` (`id_pegawai`, `no_ktp`, `nama`, `alamat`, `no_telp`, `posisi`) VALUES
('201301001', '3372026404830000', 'Jeko', 'Jl.Bojong Soang Bandung', '022734412234', 'kasir'),
('201301002', '3372026404777777', 'Budi', 'Jl.Sukapura Bandung', '08988776655', 'kasir'),
('201302001', '3372026404987654', 'Wawan', 'Jl.Sukabirus Bandung', '089899999', 'kasir'),
('201302009', '3372026404135792', 'Wati', 'Jl. Telekomunikasi Bandung', '14000', 'supervisor');

-- --------------------------------------------------------

--
-- Table structure for table `pelanggan`
--

CREATE TABLE `pelanggan` (
  `id_pelanggan` char(12) NOT NULL DEFAULT '',
  `no_ktp` char(16) DEFAULT NULL,
  `nama` varchar(25) DEFAULT NULL,
  `alamat` varchar(50) DEFAULT NULL,
  `no_telp` text,
  `pekerjaan` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pelanggan`
--

INSERT INTO `pelanggan` (`id_pelanggan`, `no_ktp`, `nama`, `alamat`, `no_telp`, `pekerjaan`) VALUES
('1111111111', '', 'Pelanggan Tidak Terdaftar', '', '', ''),
('8911223344', '3372026404112233', 'Domino', 'Jl.Moch.Toha Bandung', '02254321', 'wirausaha'),
('8924234423', '3372026404830000', 'Jeko', 'Jl.Bojong Soang Bandung', '022734412234', 'swasta'),
('8935353535', '3372026404832420', 'Boy', 'Jl.Sukabirus Bandung', '098987654321', 'mahasiswa');

-- --------------------------------------------------------

--
-- Table structure for table `pembayaran`
--

CREATE TABLE `pembayaran` (
  `id_bayar` char(5) NOT NULL DEFAULT '',
  `sisa_piutang` int(10) DEFAULT NULL,
  `id_nota` char(55) DEFAULT NULL,
  `id_pegawai` char(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pembayaran`
--

INSERT INTO `pembayaran` (`id_bayar`, `sisa_piutang`, `id_nota`, `id_pegawai`) VALUES
('BYR1', 0, '86856', '201301001'),
('BYR10', 2500000, '86861', '201301002'),
('BYR11', 250000, '86862', '201302001'),
('BYR2', 0, '86857', '201301001'),
('BYR3', 0, '86858', '201301002'),
('BYR4', 492000, '86859', '201301002'),
('BYR5', 0, '86859', '201301001'),
('BYR6', 47000, '86860', '201301002'),
('BYR7', 2204325, '86860', '201301001'),
('BYR8', 204325, '86860', '201301001'),
('BYR9', 0, '86860', '201301001');

-- --------------------------------------------------------

--
-- Table structure for table `retur`
--

CREATE TABLE `retur` (
  `id_retur` char(5) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `retur`
--

INSERT INTO `retur` (`id_retur`) VALUES
('RTR1'),
('RTR2');

-- --------------------------------------------------------

--
-- Table structure for table `transaksi`
--

CREATE TABLE `transaksi` (
  `id_trans` char(5) NOT NULL DEFAULT '',
  `tgl_trans` date DEFAULT NULL,
  `jml_trans` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `transaksi`
--

INSERT INTO `transaksi` (`id_trans`, `tgl_trans`, `jml_trans`) VALUES
('BYR1', '2013-05-01', 45675),
('BYR10', '2013-07-01', 363600),
('BYR11', '2013-07-01', 47000),
('BYR2', '2013-05-01', 52800),
('BYR3', '2013-05-01', 38500),
('BYR4', '2013-05-01', 3000000),
('BYR5', '2013-06-01', 492000),
('BYR6', '2013-06-01', 4408650),
('BYR7', '2013-07-01', 2204325),
('BYR8', '2013-08-01', 2000000),
('BYR9', '2013-09-01', 204325),
('RTR1', '2013-05-01', 10500),
('RTR2', '2013-07-02', 43650);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `akun`
--
ALTER TABLE `akun`
  ADD PRIMARY KEY (`no_akun`),
  ADD KEY `fk_no_akun` (`header_akun`);

--
-- Indexes for table `barang`
--
ALTER TABLE `barang`
  ADD PRIMARY KEY (`id_barang`),
  ADD KEY `fk_id_kategori` (`id_kategori`);

--
-- Indexes for table `detail_penjualan`
--
ALTER TABLE `detail_penjualan`
  ADD PRIMARY KEY (`id_nota`,`id_barang`),
  ADD KEY `fk_id_barang_det_penj` (`id_barang`);

--
-- Indexes for table `detail_retur`
--
ALTER TABLE `detail_retur`
  ADD PRIMARY KEY (`id_nota`,`id_barang`,`id_retur`),
  ADD KEY `fk_id_barang_det_ret` (`id_barang`),
  ADD KEY `fk_id_retur_det_ret` (`id_retur`);

--
-- Indexes for table `jurnal`
--
ALTER TABLE `jurnal`
  ADD KEY `fk_id_trans` (`id_trans`),
  ADD KEY `fk_no_akun2` (`no_akun`);

--
-- Indexes for table `kategori_barang`
--
ALTER TABLE `kategori_barang`
  ADD PRIMARY KEY (`id_kategori`);

--
-- Indexes for table `nota_penjualan`
--
ALTER TABLE `nota_penjualan`
  ADD PRIMARY KEY (`id_nota`),
  ADD KEY `fk_id_pelanggan` (`id_pelanggan`),
  ADD KEY `fk_id_pegawai` (`id_pegawai`);

--
-- Indexes for table `pegawai`
--
ALTER TABLE `pegawai`
  ADD PRIMARY KEY (`id_pegawai`);

--
-- Indexes for table `pelanggan`
--
ALTER TABLE `pelanggan`
  ADD PRIMARY KEY (`id_pelanggan`);

--
-- Indexes for table `pembayaran`
--
ALTER TABLE `pembayaran`
  ADD PRIMARY KEY (`id_bayar`),
  ADD KEY `fk_id_nota` (`id_nota`),
  ADD KEY `fk_id_karyawan` (`id_pegawai`);

--
-- Indexes for table `retur`
--
ALTER TABLE `retur`
  ADD PRIMARY KEY (`id_retur`);

--
-- Indexes for table `transaksi`
--
ALTER TABLE `transaksi`
  ADD PRIMARY KEY (`id_trans`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `akun`
--
ALTER TABLE `akun`
  ADD CONSTRAINT `fk_no_akun` FOREIGN KEY (`header_akun`) REFERENCES `akun` (`no_akun`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `barang`
--
ALTER TABLE `barang`
  ADD CONSTRAINT `fk_id_kategori` FOREIGN KEY (`id_kategori`) REFERENCES `kategori_barang` (`id_kategori`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_penjualan`
--
ALTER TABLE `detail_penjualan`
  ADD CONSTRAINT `fk_id_barang_det_penj` FOREIGN KEY (`id_barang`) REFERENCES `barang` (`id_barang`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_nota_det_penj` FOREIGN KEY (`id_nota`) REFERENCES `nota_penjualan` (`id_nota`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_retur`
--
ALTER TABLE `detail_retur`
  ADD CONSTRAINT `fk_id_barang_det_ret` FOREIGN KEY (`id_barang`) REFERENCES `barang` (`id_barang`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_nota_det_ret` FOREIGN KEY (`id_nota`) REFERENCES `nota_penjualan` (`id_nota`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_retur_det_ret` FOREIGN KEY (`id_retur`) REFERENCES `retur` (`id_retur`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `jurnal`
--
ALTER TABLE `jurnal`
  ADD CONSTRAINT `fk_id_trans` FOREIGN KEY (`id_trans`) REFERENCES `transaksi` (`id_trans`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_no_akun2` FOREIGN KEY (`no_akun`) REFERENCES `akun` (`no_akun`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `nota_penjualan`
--
ALTER TABLE `nota_penjualan`
  ADD CONSTRAINT `fk_id_pegawai` FOREIGN KEY (`id_pegawai`) REFERENCES `pegawai` (`id_pegawai`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_pelanggan` FOREIGN KEY (`id_pelanggan`) REFERENCES `pelanggan` (`id_pelanggan`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pembayaran`
--
ALTER TABLE `pembayaran`
  ADD CONSTRAINT `fk_id_karyawan` FOREIGN KEY (`id_pegawai`) REFERENCES `pegawai` (`id_pegawai`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_nota` FOREIGN KEY (`id_nota`) REFERENCES `nota_penjualan` (`id_nota`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_trans_bayar` FOREIGN KEY (`id_bayar`) REFERENCES `transaksi` (`id_trans`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `retur`
--
ALTER TABLE `retur`
  ADD CONSTRAINT `fk_id_trans_retur` FOREIGN KEY (`id_retur`) REFERENCES `transaksi` (`id_trans`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
